#pragma once
#include <map>
struct Odds2_HitCoefficientData
{
	//BuffID
	int mBuffID;
	//捕获次数
	int mCaptureNumber;
	//命中系数（标准1  配置95就是0.95）
	int mBuffEffectMin;
	//指定BOSSID
	std::vector<int> mBossId;
};

class Odds2_HitCoefficient
{
public:
private:
	static std::auto_ptr<Odds2_HitCoefficient> msSingleton;
public:
	int GetCount();
	const Odds2_HitCoefficientData* GetData(int BuffID);
	const std::map<int, Odds2_HitCoefficientData>& GetMapData();
	void Load();
	void LoadLua();
	void Reload();
	static Odds2_HitCoefficient* GetSingleton();
	static void Release();
private:
	std::map<int, Odds2_HitCoefficientData> mMapData;
};
